Subject: Re: powerpc: Move 64bit heap above 1TB on machines with 1TB segments

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 23 Sep 2009 07:08:22 +1000

> Unfortunately, I am not sensitive to issues surrounding 1TB segments or how
> they are currently being used. However, as this clearly helps performance
> for large amounts of memory, is it worth providing an option to
> libhugetlbfs to locate 16MB pages above 1TB when they are otherwise being
> unused?

AFAIK, that is already the case, at least the kernel will hand out pages
above 1T preferentially iirc.

There were talks about making huge pages below 1T not even come up
untily you ask for them with MAP_FIXED, dunno where that went.

Cheers,
Ben.